schemaChangelog:
- afterBuildNumber: 3241024
  date: 2026-03-10
  files:
    changes:
      mapSecondarySuns: added.
- afterBuildNumber: 3236751
  date: 2026-03-04
  files:
    changes:
      mercenaryTacticalOperations: added.
- afterBuildNumber: 3167101
  date: 2026-01-16
  files:
    changes:
      cloneGrades: added.
- afterBuildNumber: 3118350
  date: 2025-12-02
  files:
    changes:
      compressibleTypes: added.
- afterBuildNumber: 3107075
  date: 2025-11-20
  fields:
    changes:
      typeMaterials:
        randomizedMaterials: added field.
- afterBuildNumber: 3096543
  date: 2025-11-18
  files:
    changes:
      freelanceJobSchemas: added.
      planetResources: reworked the schema.
  fields:
    changes:
      mapSolarSystems:
        position2D: added field.
      sovereigntyUpgrades:
        fuel: added field.
        fuel_hourly_upkeep: moved to 'fuel.hourly_upkeep'.
        fuel_startup_cost: moved to 'fuel.startup_cost'.
        fuel_type_id: moved to 'fuel.type_id'.
        power_production: added field.
        workforce_production: added field.
- afterBuildNumber: 3031812
  date: 2025-09-29
  files:
    changes:
      agents: merged into npcCharacters.
      npcCharacters: added. Includes "agents" and "researchAgents".
      researchAgents: merged into npcCharacters.
  fields:
    renamed:
      dogmaAttributes:
        categoryID: attributeCategoryID
      dogmaEffects:
        effectCategory: effectCategoryID
        effectName: name
      mapAsteroidBelts:
        name: uniqueName
      mapMoons:
        name: uniqueName
      mapPlanets:
        name: uniqueName
    changes:
      dogmaAttributes:
        attributeID: removed (was identical to key).
        displayWhenZero: field now also exists if value is 'false'.
      dogmaEffects:
        effectID: removed (was identical to key).
        sfxName: removed (was always 'None').
      dynamicItemAttributes:
        attributeIDs.[].highIsGood: type changed to a boolean.
      npcStations:
        useOperationName: field now also exists if value is 'false'.
      skinMaterials:
        skinMaterialID: removed (was identical to key).
      skins:
        skinID: removed (was identical to key).
- afterBuildNumber: 3030547
  date: 2025-09-22
  fields:
    renamed:
      mapMoons:
        planetAttributes: attributes
      mapPlanets:
        planetAttributes: attributes
    changes:
      dynamicItemAttributes:
        attributeIDs.[].highIsGood: added field.
      mapAsteroidBelts:
        name: added field, for asteroid belts with custom names.
        statistics.eccentricity: field now also exists if value is '0.0'.
        statistics.locked: field now also exists if value is 'false'.
      mapMoons:
        name: added field, for moons with custom names.
        statistics.eccentricity: field now also exists if value is '0.0'.
        statistics.locked: field now also exists if value is 'false'.
        statistics.pressure: field now also exists if value is '0.0'.
      mapPlanets:
        attributes.population: field now also exists if value is 'false'.
        name: added field, for planets with custom names.
        orbitID: added field.
        position.y: field now also exists if value is '0.0'.
        statistics.eccentricity: field now also exists if value is '0.0'.
        statistics.locked: field now also exists if value is 'false'.
        statistics.pressure: field now also exists if value is '0.0'.
        statistics.rotationRate: field now also exists if value is '0.0'.
- afterBuildNumber: 2960198
  date: 2025-09-16
  files:
    renamed:
      graphicIDs: graphics
      iconIDs: icons
      staStations: npcStations
    changes:
      _sde: added. Contains meta-information about the SDE (like build-number and schemaChangelog).
      agentTypes: added.
      dbuffCollections: added.
      dogmaUnits: added.
      dynamicItemAttributes: added.
      invFlags: removed. No longer relevant.
      invItems: removed. Already available in other files.
      invNames: removed. Already available in other files.
      invPositions: removed. Part of 'map*' now.
      invUniqueNames: removed.
      mapAsteroidBelts: added.
      mapConstellations: added.
      mapMoons: added.
      mapPlanets: added.
      mapRegions: added.
      mapSolarSystems: added.
      mapStargates: added.
      mapStars: added.
      masteries: added. Moved from 'types.masteries'.
      npcStations: reworked the schema.
      tournamentRuleSets: removed.
      translationLanguages: reworked the schema.
      typeBonus: added. Moved from 'types.traits'.
      universe: removed. Now available in 'map*'.
  fields:
    renamed:
      ancestries:
        descriptionID: description
        nameID: name
      bloodlines:
        descriptionID: description
        nameID: name
      characterAttributes:
        nameID: name
      corporationActivities:
        nameID: name
      dogmaAttributes:
        descriptionID: description
        displayNameID: displayName
        tooltipDescriptionID: tooltipDescription
        tooltipTitleID: tooltipTitle
      dogmaEffects:
        descriptionID: description
        displayNameID: displayName
      factions:
        descriptionID: description
        nameID: name
        shortDescriptionID: shortDescription
      landmarks:
        descriptionID: description
        landmarkNameID: name
      marketGroups:
        descriptionID: description
        nameID: name
      metaGroups:
        descriptionID: description
        nameID: name
      npcCorporationDivisions:
        description: displayName
        descriptionID: description
        nameID: name
        leaderTypeNameID: leaderTypeName
      npcCorporations:
        descriptionID: description
        nameID: name
      planetSchematics:
        nameID: name
      races:
        descriptionID: description
        nameID: name
      skinMaterials:
        displayNameID: displayName
      skins:
        skinDescriptionID: skinDescription
      stationOperations:
        descriptionID: description
        operationNameID: operationName
      stationServices:
        descriptionID: description
        serviceNameID: serviceName
    changes:
      bloodlines:
        description.it: removed Italian translations.
        name.it: removed Italian translations.
      blueprints:
        activities.copying.products: removed.
        activities.research_material.products: removed.
        activities.research_time.products: removed.
      certificates:
        description: added all translations.
        name: added all translations.
      factions:
        name.it: removed Italian translations.
      graphics:
        description: removed.
        iconFolder: added. Moved from 'iconInfo.folder'.
        iconInfo: removed. Moved to 'iconFolder'.
        sofMaterialSetID: added. Moved from 'types.sofMaterialSetID'.
      groups:
        name.it: removed Italian translations.
      icons:
        description: removed.
        obsolete: removed.
      marketGroups:
        description.it: removed Italian translations.
        name.it: removed Italian translations.
      landmarks:
        description: resolve language strings.
        name: resolve language strings.
        position: converted to x/y/z object (instead of list).
      metaGroups:
        color: converted to r/g/b object (instead of list) and the precision of the values has changed.
      npcCorporations:
        description.it: removed Italian translations.
        name.it: removed Italian translations.
        publicShares: removed. Was always false.
        url: removed. Was always empty.
      planetResources:
        mature_silo_max: now always an integer.
      races:
        description.it: removed Italian translations.
        name.it: removed Italian translations.
      skinMaterials:
        displayName: resolve language strings.
      skins:
        skinDescription: resolve language strings.
      types:
        description.it: removed Italian translations.
        masteries: removed. Moved to 'masteries'.
        metaGroupID: now always an integer.
        name.it: removed Italian translations.
        sofFactionName: removed. Moved to 'graphics.sofFactionName'.
        sofMaterialSetID: removed. Moved to 'graphics.sofMaterialSetID'.
        traits: removed. Moved to 'typeBonus'.
